package com.ruoyi.rc.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 审计记录对象 t_audit
 * 
 * @author ruoyi
 * @date 2024-07-19
 */
public class TAudit extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 年份 */
    @Excel(name = "年份", width = 30)
    private String year;

    /** 预审时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "预审时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date preAuditTime;

    /** 审计时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "审计时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date auditTime;

    /** 审计结果 */
    @Excel(name = "审计结果")
    private String auditResult;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 装置id */
    @Excel(name = "装置id")
    private String deptId;

    /** 装置 */
    @Excel(name = "装置")
    private String deptName;

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setYear(String year)
    {
        this.year = year;
    }

    public String getYear()
    {
        return year;
    }
    public void setPreAuditTime(Date preAuditTime) 
    {
        this.preAuditTime = preAuditTime;
    }

    public Date getPreAuditTime() 
    {
        return preAuditTime;
    }
    public void setAuditTime(Date auditTime) 
    {
        this.auditTime = auditTime;
    }

    public Date getAuditTime() 
    {
        return auditTime;
    }
    public void setAuditResult(String auditResult) 
    {
        this.auditResult = auditResult;
    }

    public String getAuditResult() 
    {
        return auditResult;
    }
    public void setRemarks(String remarks) 
    {
        this.remarks = remarks;
    }

    public String getRemarks() 
    {
        return remarks;
    }
    public void setDeptId(String deptId)
    {
        this.deptId = deptId;
    }

    public String getDeptId()
    {
        return deptId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("year", getYear())
            .append("preAuditTime", getPreAuditTime())
            .append("auditTime", getAuditTime())
            .append("auditResult", getAuditResult())
            .append("remarks", getRemarks())
            .append("deptId", getDeptId())
            .toString();
    }
}
